package org.jeecg.modules.adweb.enquiry.mapper;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.adweb.enquiry.dto.param.AdmpEnquirySearchDto;
import org.jeecg.modules.adweb.enquiry.dto.result.AdmpEnquiryListDto;
import org.jeecg.modules.adweb.enquiry.entity.AdwebEnquiry;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * @Description: 询盘信息存储表单
 * @Author: jeecg-boot
 * @Date:   2024-10-12
 * @Version: V1.0
 */
public interface AdwebEnquiryMapper extends BaseMapper<AdwebEnquiry> {

    /**
     * @param page
     * @param userEffective
     * @param searchText
     * @param ctimeBegin
     * @param ctimeEnd
     * @return
     */
    IPage<AdmpEnquiryListDto> selectAdmpEnquiryList(IPage<AdmpEnquirySearchDto> page,
                                                    @Param("codeList") List<String> codeList,
                                                    @Param("userEffective") String userEffective,
                                                    @Param("wasteEnquiryType") String wasteEnquiryType,
                                                    @Param("searchText") String searchText,
                                                    @Param("searchContent") String searchContent,
                                                    @Param("ctimeBegin") Date ctimeBegin,
                                                    @Param("ctimeEnd") Date ctimeEnd,
                                                    @Param("whatsApp") String whatsApp,
                                                    @Param("readStatus") Integer readStatus,
                                                    @Param("principalUid") String principalUid,
                                                    @Param("selfPrincipalUid") String selfPrincipalUid);
}
